package com.gic.finance.dao.mapper;

import com.gic.finance.entity.TabCashWithdrawal;
import com.gic.finance.qo.CashWithdrawalQueryListQO;

import java.util.List;

public interface TabCashWithdrawalMapper {
    /**
     * 根据主键删除
     *
     * @param cashWithdrawalId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer cashWithdrawalId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabCashWithdrawal record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabCashWithdrawal record);

    /**
     * 根据主键查询
     *
     * @param cashWithdrawalId 主键
     * @return 实体对象
     */
    TabCashWithdrawal selectByPrimaryKey(Integer cashWithdrawalId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabCashWithdrawal record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabCashWithdrawal record);

    /**
     * 查询列表
     * @Title: listCashWithdrawal 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  java.util.List<com.gic.finance.entity.TabCashWithdrawal> 
      */
    List<TabCashWithdrawal> listCashWithdrawal(CashWithdrawalQueryListQO params);
}