package com.gic.finance.web.vo;

import com.alibaba.fastjson.JSONObject;
import org.apache.commons.lang.StringUtils;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 转账审批-service订单项
 * @ClassName: ServiceInfoVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/11 2:50 PM 
 */
public class ServiceInfoVO implements Serializable{
    private static final long serialVersionUID = -1533446055799811700L;

    /**
     * 名称
     */
    private String serveName;
    private String skuInfo;

    /**
     *
     */
    private String serveInfo;

    /**
     * 服务描述
     */
    private String servcieDesc;

    /**
     * 周期
     */
    private String serviceCycle;
    /**
     * 订单项原价
     */
    private BigDecimal totalAmount;

    /**
     * 支付详情json{100:现金 ,101:xxx}
     */
    private String payDetail;

    /**
     * 应用id
     */
    private Long applicationId;

    private List<LicenseVO> licenseVOList;

    public void setServeName(String serveName) {
        this.serveName = serveName;
    }

    public void setSkuInfo(String skuInfo) {
        this.skuInfo = skuInfo;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public String getServcieDesc() {
        if (StringUtils.isBlank(skuInfo)) {
            return "--";
        }
        JSONObject jsonObject = JSONObject.parseObject(skuInfo);
        JSONObject version = jsonObject.getJSONObject("version");
        return serveName + "-" +  version.get("name");
    }

    public String getServiceCycle() {
        if (StringUtils.isBlank(skuInfo)) {
            return "--";
        }
        JSONObject jsonObject = JSONObject.parseObject(skuInfo);
        JSONObject period = jsonObject.getJSONObject("period");
        return period.get("effect_time") + (String) period.get("name");
    }

    public String getServeInfo() {
        return serveInfo;
    }

    public void setServeInfo(String serveInfo) {
        this.serveInfo = serveInfo;
    }

    public Long getApplicationId() {
        return applicationId;
    }

    public void setApplicationId(Long applicationId) {
        this.applicationId = applicationId;
    }

    public List<LicenseVO> getLicenseVOList() {
        return licenseVOList;
    }

    public void setLicenseVOList(List<LicenseVO> licenseVOList) {
        this.licenseVOList = licenseVOList;
    }

    public String getPayDetail() {
        return payDetail;
    }

    public void setPayDetail(String payDetail) {
        this.payDetail = payDetail;
    }
}
